MANDATORY = $(shell printenv MANDATORY) APT_PACKAGES

pull-apt:
	# nop

start-apt:
	@- echo "\n### start"
	@ $(foreach host,$(DEPLOY_HOSTS), \
		echo "#host: $(host)"; \
		set -e; \
		ssh $(SSH_USER)@$(host) "sudo apt install -y $(APT_PACKAGES)"; \
		if [ -e start.sh ]; then ssh $(SSH_USER)@$(host) "sh start.sh"; fi; \
		sleep $(DEPLOY_START_DELAY); \
		set +e; \
	)
